summaryrefslogtreecommitdiffstats
path: root/system/fish
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave@gmail.com>2010-05-12 17:45:15 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:45:15 +0200
commitb66cf53707ee0053006dc1b0eee3543ba6b11d05 (patch)
tree3f0ddb1d3c020b416397c6a541a428ee533b114c /system/fish
parent0414420799555694c2cb9945bb53afe48dcc9d39 (diff)
downloadslackbuilds-b66cf53707ee0053006dc1b0eee3543ba6b11d05.tar.gz
slackbuilds-b66cf53707ee0053006dc1b0eee3543ba6b11d05.tar.xz
system/fish: Updated for version 1.23.1
Diffstat (limited to 'system/fish')
-rw-r--r--system/fish/fish.SlackBuild61
-rw-r--r--system/fish/fish.info8
2 files changed, 50 insertions, 19 deletions
diff --git a/system/fish/fish.SlackBuild b/system/fish/fish.SlackBuild
index 1f0d816d74..7f80669956 100644
--- a/system/fish/fish.SlackBuild
+++ b/system/fish/fish.SlackBuild
@@ -1,13 +1,33 @@
#!/bin/sh
# Slackware build script for the fish shell
-
-# Pierre Cazenave pwcazenave@gmail.com
+# Updated for version 1.23.1 20/09/2009
+# Updated for Slackware64 28/05/2009
+#
+# Copyright 2009 Pierre Cazenave <pwcazenave {at} gmail [dot] com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=fish
-VERSION=1.23.0
+VERSION=1.23.1
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -17,16 +37,23 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -35,7 +62,10 @@ CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
- --localstatedir=/var
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
make
make install DESTDIR=$PKG
@@ -44,21 +74,22 @@ make install DESTDIR=$PKG
mv $PKG/etc/fish/config.fish $PKG/etc/fish/config.fish.new
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ for i in $(find . -type l); do
+ ln -s $(readlink $i).gz $i.gz
+ rm $i
+ done
)
-mkdir -p $PKG/usr/doc
-mv $PKG/usr/share/doc/fish $PKG/usr/doc/$PRGNAM-$VERSION
cp -a INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-rmdir $PKG/usr/share/doc
-( cd $PKG/usr/doc ; ln -s $PRGNAN-$VERSION $PRGNAM )
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/system/fish/fish.info b/system/fish/fish.info
index 61da4cdc81..e79be63617 100644
--- a/system/fish/fish.info
+++ b/system/fish/fish.info
@@ -1,8 +1,8 @@
PRGNAM="fish"
-VERSION="1.23.0"
+VERSION="1.23.1"
HOMEPAGE="http://fishshell.org/"
-DOWNLOAD="http://fishshell.org/files/1.23.0/fish-1.23.0.tar.bz2"
-MD5SUM="aa2f09bb54652b16bf4f7708848a7416"
+DOWNLOAD="http://kent.dl.sourceforge.net/sourceforge/fish/fish-1.23.1.tar.bz2"
+MD5SUM="ead6b7c6cdb21f35a3d4aa1d5fa596f1"
MAINTAINER="Pierre Cazenave"
EMAIL="pwcazenave@gmail.com"
-APPROVED="rworkman"
+APPROVED="dsomero"